WordPress.org

Ready to get started?Download WordPress

Forums

iThemes Security (formerly Better WP Security)
[resolved] [Plugin: Better WP Security] Warning: call_user_func_array (8 posts)

  1. Kerfred
    Member
    Posted 2 years ago #

    Hello,

    Since 3.0.10, I have the message:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'bwps_admin_construct::backup_scheduler' was given in /xxx/wp-includes/plugin.php on line 405

    at the top of all admin pages.

    Thanks.

    http://wordpress.org/extend/plugins/better-wp-security/

  2. Isaakwells
    Member
    Posted 2 years ago #

    I have the same problem. Please someone update or give a fix.

  3. stephx
    Member
    Posted 2 years ago #

    I have the same issue when I installed the plugin.

    Old pages (before plugin installed) were not accessible anymore. Every action (updating menu / adding pages-media-post) triggers the error as mentioned above and a 404-error when accessing them.

    Even deactivating the plugin keeps causing trouble. Going to reinstall everything - is going to be quicker & easier then waiting for a (possible) fix.

    Plugin looked promising but causing too much trouble, as I see other WP-site owners experiencing the same problem. Seems the last version is a Beta-version.

  4. dzng
    Member
    Posted 2 years ago #

    I've got the same problem too after updating to 3.0.10, deactivate or deleting do nothing.

  5. Naziman
    Member
    Posted 2 years ago #

    I got two message.

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'bwps_admin_construct::backup_scheduler' was given in /home/rakanikl/public_html/***/wp-includes/plugin.php on line 405

    Warning: Cannot modify header information - headers already sent by (output started at /home/rakanikl/public_html/naziman.com/wp-includes/plugin.php:405) in /home/rakanikl/public_html/***/wp-includes/pluggable.php on line 866

  6. streetlovely
    Member
    Posted 2 years ago #

    Same thing happened on my site http://streetlovely.com. i deactivated and am reinstalling 3.0.9

  7. dskmusic
    Member
    Posted 2 years ago #

    same error:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'bwps_admin_construct::backup_scheduler' was given in /home/dskmusic/public_html/wp-includes/plugin.php on line 405

  8. Kerfred
    Member
    Posted 2 years ago #

    Fixed in 3.0.11.
    Thanks.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic